import 'package:backend_dart/domain/entities/user.dart';
import 'package:backend_dart/domain/repositories/user_repository.dart';

class RegisterUserUseCase {
  final UserRepository userRepository;

  RegisterUserUseCase(this.userRepository);

  Future<void> execute(String name, String email, String password) async {
    final user = User(
      id: 'generated-id', // Eine Methode zur ID-Erzeugung einfügen
      name: name,
      email: email,
      password: password, // In der Realität: Passwörter hashen
    );

    await userRepository.create(user);
  }
}
